#!/usr/bin/perl -w

#*****************************************************************************
#!
#! FILE NAME  : config.pm
#!
#! DESCRIPTION: Variables that need to be configured for the server.
#!
#!----------------------------------------------------------------------------
#! HISTORY
#!
#! DATE         NAME               CHANGES
#! ----         ----               -------
#! Oct  4 1999  Peter Kjellerstedt Initial version
#! 
#!----------------------------------------------------------------------------
#! Copyright (C) 1999, Peter Kjellerstedt & Fredrik Norrman, LUND, SWEDEN
#!****************************************************************************
# %Z% %M% %I% %G%

#****************** PACKAGE SECTION ******************************************

package config;
require Exporter;
@ISA       = qw(Exporter);

# These functions and variables are exported by default
@EXPORT    = qw($default_icq_port $base_uin $database_host $database_name $database_username $database_password $default_email_domain_name $default_country_code $default_city $default_phone $default_homepage_prefix $default_timezone $default_authorization $default_work_company $default_work_street $default_work_city $default_work_zip_code $default_work_country_code $default_work_phone $default_work_fax $default_work_homepage_prefix);

# These functions and variables may be exported on request
@EXPORT_OK = qw();

#****************** INCLUDE FILES SECTION ************************************

use strict;

#****************** VARIABLE DECLARATION SECTION *****************************

use vars qw($default_icq_port $base_uin $database_host $database_name $database_username $database_password $default_email_domain_name $default_country_code $default_city $default_phone $default_homepage_prefix $default_timezone $default_authorization $default_work_company $default_work_street $default_work_city $default_work_zip_code $default_work_country_code $default_work_phone $default_work_fax $default_work_homepage_prefix);

#****************** CONSTANT SECTION *****************************************

#****************** BEGIN SECTION ********************************************

# Code to be executed before anything else
BEGIN
{
  $default_icq_port = 4000;

  $base_uin = 100000;

  $database_host     = "saur";
  $database_name     = "icq";
  $database_username = "icq4";
  $database_password = "pass";

  $default_email_domain_name = "axis.com";
  $default_country_code      = 46;
  $default_city              = "Lund";
  $default_phone             = "+46 (46) xxxxxx";
  $default_homepage_prefix   = "https://wwwint.axis.se/h/"; # + "username/"
  $default_timezone          = 254;
  $default_authorization     = 1;

  $default_work_company         = "Axis Communications";
  $default_work_street          = "Scheelevgen 16";
  $default_work_city            = "Lund";
  $default_work_zip_code        = 22370;
  $default_work_country_code    = 46;
  $default_work_phone           = "+46 (46) 270xxxx";
  $default_work_fax             = "+46 (46) 136130";
  $default_work_homepage_prefix = "https://wwwint.axis.se/h/"; # + "username/"
}

#****************** END SECTION **********************************************

# Code to be executed at the very end
END
{
}

#****************** FUNCTION DEFINITION SECTION ******************************

#*****************************************************************************

# Always end a package with a true value (to mark successful loading).
1;

#****************** END OF FILE config.pm ************************************
